### Function

# Gtk.PaperSize.new

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new (
      const char* name
    )

#### Description [src]

Creates a new `GtkPaperSize` object by parsing a PWG 5101.1-2002 paper name.

If `name` is `NULL`, the default paper size is returned, see `gtk_paper_size_get_default()`.

#### Parameters

`name` | `const char*`
| a paper size name, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkPaperSize`
a new `GtkPaperSize`, use `gtk_paper_size_free()` to free it
Ownership of the data is transferred to the caller